@import "vendor/bootstrap/bootstrap/variables";
@import "vendor/bootstrap/bootstrap/media";
@import "vendor/bourbon/bourbon";
@import "variables";
@import "typography";
@import "components/flex-row";
@import "components/simple-hero";
@import "components/large-fonts";
@import "components/blockquote";
@import "components/resource-block";
@import "components/in-page-nav";
@import "svg-helpers";
@import "feature-group";
@import "utility-classes";

//sass-lint:disable-all
.gitlab-content-container {
  padding-top: 0 !important;
}

.tiles-container {
  display: flex;
  width: 100%;

  .tile-resource:not(:first-child) {
    margin-left: 30px;

    @media all and (max-width: $screen-md-min) {
      margin-left: 10px;
    }

    @media all and (max-width: $screen-sm-min) {
      margin-left: 0;
      margin-top: 30px;
    }
  }

  @media all and (max-width: $screen-sm-min) {
    flex-direction: column;
  }
}

h2 {
  margin-bottom: 30px;
}

ul {
  list-style-type: none;
}

.contribution-type {
  color: $color-gray-light;
  font-weight: 600;
}

.content-section-title-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin-bottom: 70px;

  .content-section-icon {
    height: 78px;
    margin-bottom: 20px;
  }
}

.content-section {
  display: flex;
  flex-wrap: wrap;

  .btn {
    margin: auto;
    margin-top: 40px;
  }

  .news-logo {
    height: 60px;
    max-height: 60px;
    max-width: 240px;
    margin: 0 40px;

    @media all and (max-width: $screen-sm-min) {
      order: 0;
      margin: 0;
      margin-bottom: 20px;
    }
  }

  .contribution-link {
      margin-bottom: 10px;
    }

  .contribution-logo-small {
    height: 30px;
    max-width: 200px;

    @media all and (max-width: $screen-sm-min) {
      height: 40px;
      margin-bottom: 20px;
    }
  }

  .press-block {
    display: flex;
    flex-direction: column;
    padding: 40px 20px;
    width: 48%;
    border: 1px solid $color-gray-extra-light;
    margin: 1%;

    .attributes {
      width: 100%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 10px;
      color: $color-gray-light;

      p {
        margin: 0;
      }

      .contribution-date {
        color: $color-gray-light;
        font-weight: 600;
      }

      @media all and (max-width: $screen-sm-min) {
        flex-direction: column;
        align-items: flex-start;
      }
    }

    @media all and (max-width: $screen-sm-min) {
      width: 100%;
    }
  }
}

